/*
 * <Kurze Beschreibung der Anwendung, Bibliothek oder des Java-Packages (höchstens eine Zeile)>
 * Copyright (C) 2009 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.sys.usv.wrapper;

/**
 * Ein paar nützliche Konstanten, die wir in Zusammenhang mit einer USV immer
 * mal wieder gebrauchen können.
 *
 * @author BitCtrl Systems GmbH, Christian Hösel
 */
public class UsvKonstanten {

	/**
	 * Stringkonstante für das Attribut "UsvZustand" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String usvZustand = "UsvZustand";

	/**
	 * Stringkonstante für das Attribut "BatterieZustand" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String batterieZustand = "BatterieZustand";

	/**
	 * Stringkonstante für das Attribut "KommunikationsZustand" der
	 * Attributgruppe {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String kommunikationsZustand = "KommunikationsZustand";

	/**
	 * Stringkonstante für das Attribut "EingangsFrequenzZustand" der
	 * Attributgruppe {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String eingangsFrequenzZustand = "EingangsFrequenzZustand";

	/**
	 * Stringkonstante für das Attribut "WechselSpannung" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String wechselSpannung = "WechselSpannung";

	/**
	 * Stringkonstante für das Attribut "ZustandPhase1" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String zustandPhase1 = "ZustandPhase1";

	/**
	 * Stringkonstante für das Attribut "ZustandPhase2" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String zustandPhase2 = "ZustandPhase2";

	/**
	 * Stringkonstante für das Attribut "BatterieZustand" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String zustandPhase3 = "ZustandPhase3";

	/**
	 * Stringkonstante für das Attribut "ZustandNotStrom" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String zustandNotStrom = "ZustandNotStrom";

	/**
	 * Stringkonstante für das Attribut "KritischerZustand" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustandKritisch}
	 */
	public static final String kritischerZustand = "KritischerZustand";

	/**
	 * Stringkonstante für das Attribut "BatterieSpannung" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String batterieSpannung = "BatterieSpannung";

	/**
	 * Stringkonstante für das Attribut "BatterieTemperatur" der Attributgruppe
	 * {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String batterieTemperatur = "BatterieTemperatur";

	/**
	 * Stringkonstante für das Attribut "BatterieRestlaufzeit" der
	 * Attributgruppe {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String batterieRestlaufzeit = "BatterieRestlaufzeit";

	/**
	 * Stringkonstante für das Attribut "BatterieBetriebsdauer" der
	 * Attributgruppe {@link UsvKonstanten#atg_usvZustand}
	 */
	public static final String batterieBetriebsdauer = "BatterieBetriebsdauer";

	/**
	 * Stringkonstante für die Attributgruppe "atg.usvZustand"
	 */
	public static final String atg_usvZustand = "atg.usvZustand";

	/**
	 * Stringkonstante für den Aspekt "asp.zustand".
	 */
	public static final String asp_zustand = "asp.zustand";

	/**
	 * Stringkonstante für die Attributgruppe "atg.usvZustandKritisch".
	 */
	public static final String atg_usvZustandKritisch = "atg.usvZustandKritisch";

	/**
	 * Stringkonstante für den Zustand "nicht ermittelbar".
	 */
	public static final String nicht_ermittelbar = "nicht ermittelbar";

}
